Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class CorporateAction9

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.CorporateAction9

public class CorporateAction9 extends Object

Java class for CorporateAction9 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CorporateAction9">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EvtTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text"/>
             <element name="EvtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`evtId`
`protected String`
`evtTp`

## Constructor Summary

Constructors
Constructor
Description
`CorporateAction9()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEvtId()`
Gets the value of the evtId property.
`String`
`getEvtTp()`
Gets the value of the evtTp property.
`void`
`setEvtId(String value)`
Sets the value of the evtId property.
`void`
`setEvtTp(String value)`
Sets the value of the evtTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### evtTp

protected String evtTp

### evtId

protected String evtId

## Constructor Details

### CorporateAction9

public CorporateAction9()

## Method Details

### getEvtTp

public String getEvtTp()
Gets the value of the evtTp property.

Returns:
  possible object is `String`

### setEvtTp

public void setEvtTp(String value)
Sets the value of the evtTp property.

Parameters:
  `value` - allowed object is `String`

### getEvtId

public String getEvtId()
Gets the value of the evtId property.

Returns:
  possible object is `String`

### setEvtId

public void setEvtId(String value)
Sets the value of the evtId property.

Parameters:
  `value` - allowed object is `String`